Replace image metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata"
payload = { "metadata": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"metadata": {},
"mediaId": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Image
Replace image metadata
POST
/
v1
/
projects
/
{project_id}
/
images
/
{image_id}
/
metadata
Replace image metadata
curl --request POST \
--url https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata \
--header 'Content-Type: application/json' \
--data '{
"metadata": {}
}'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata"
payload = { "metadata": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/images/{image_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"metadata": {},
"mediaId": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Query Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I

